Module java.desktop
Package javax.print.event

# Class PrintJobAttributeEvent

java.lang.Object
java.util.EventObject
javax.print.event.PrintEvent
javax.print.event.PrintJobAttributeEvent

All Implemented Interfaces:
  `Serializable`

public class PrintJobAttributeEvent extends PrintEvent
Class `PrintJobAttributeEvent` encapsulates an event a `PrintService` reports to let the client know that one or more printing attributes for a `PrintJob` have changed.

See Also:
  Serialized Form

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PrintJobAttributeEvent​(DocPrintJob source, PrintJobAttributeSet attributes)`
Constructs a `PrintJobAttributeEvent` object.

## Method Summary

Modifier and Type
Method
Description
`PrintJobAttributeSet`
`getAttributes()`
Determine the printing attributes that changed and their new values.
`DocPrintJob`
`getPrintJob()`
Determine the `PrintJob` to which this print job event pertains.

### Methods declared in class javax.print.event.PrintEvent

`toString`

### Methods declared in class java.util.EventObject

`getSource`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrintJobAttributeEvent

public PrintJobAttributeEvent​(DocPrintJob source, PrintJobAttributeSet attributes)
Constructs a `PrintJobAttributeEvent` object.

Parameters:
  `source` - the print job generating this event
  `attributes` - the attribute changes being reported
Throws:
  `IllegalArgumentException` - if `source` is `null`

## Method Details

### getPrintJob

public DocPrintJob getPrintJob()
Determine the `PrintJob` to which this print job event pertains.

Returns:
  `PrintJob` object

### getAttributes

public PrintJobAttributeSet getAttributes()
Determine the printing attributes that changed and their new values.

Returns:
  attributes containing the new values for the print job attributes that changed. The returned set may not be modifiable.